# Class FeedCompiler

- Defined in feeds/src/compiler.ts:8

#####
Index

### Constructors

constructor

### Properties

options

### Methods

_compileAddresses
_compileCreatedAt
_compileDvms
_compileFilter
_compileIntersection
_compileLabels
_compileLists
_compileScopes
_compileSearches
_compileUnion
_compileWot
canCompile
compile

##
Constructors

### constructor

- new FeedCompiler(options: FeedOptions ): FeedCompiler

- #### Parameters

  - options: FeedOptions

  #### Returns FeedCompiler

  - Defined in feeds/src/compiler.ts:9

##
Properties

### `Readonly` options

options: FeedOptions

- Defined in feeds/src/compiler.ts:9

##
Methods

### _compileAddresses

- _compileAddresses(addresses: string[]): { filters: Filter [] }[]

- #### Parameters

  - addresses: string[]

  #### Returns { filters: Filter [] }[]

  - Defined in feeds/src/compiler.ts:63

### _compileCreatedAt

- _compileCreatedAt(items: CreatedAtItem []): { filters: Filter [] }[]

- #### Parameters

  - items: CreatedAtItem []

  #### Returns { filters: Filter [] }[]

  - Defined in feeds/src/compiler.ts:71

### _compileDvms

- _compileDvms(items: DVMItem []): Promise< RequestItem []>

- #### Parameters

  - items: DVMItem []

  #### Returns Promise< RequestItem []>

  - Defined in feeds/src/compiler.ts:105

### _compileFilter

- _compileFilter(key: string, value: any): { filters: Filter [] }[]

- #### Parameters

  - key: string
  - value: any

  #### Returns { filters: Filter [] }[]

  - Defined in feeds/src/compiler.ts:67

### _compileIntersection

- _compileIntersection(feeds: Feed []): Promise< RequestItem []>

- #### Parameters

  - feeds: Feed []

  #### Returns Promise< RequestItem []>

  - Defined in feeds/src/compiler.ts:126

### _compileLabels

- _compileLabels(labelItems: LabelItem []): Promise< RequestItem []>

- #### Parameters

  - labelItems: LabelItem []

  #### Returns Promise< RequestItem []>

  - Defined in feeds/src/compiler.ts:248

### _compileLists

- _compileLists(listItems: ListItem []): Promise< RequestItem []>

- #### Parameters

  - listItems: ListItem []

  #### Returns Promise< RequestItem []>

  - Defined in feeds/src/compiler.ts:216

### _compileScopes

- _compileScopes(scopes: Scope []): { filters: { authors: string[] }[] }[]

- #### Parameters

  - scopes: Scope []

  #### Returns { filters: { authors: string[] }[] }[]

  - Defined in feeds/src/compiler.ts:93

### _compileSearches

- _compileSearches(searches: string[]): { filters: { search: string }[] }[]

- #### Parameters

  - searches: string[]

  #### Returns { filters: { search: string }[] }[]

  - Defined in feeds/src/compiler.ts:97

### _compileUnion

- _compileUnion(feeds: Feed []): Promise< RequestItem []>

- #### Parameters

  - feeds: Feed []

  #### Returns Promise< RequestItem []>

  - Defined in feeds/src/compiler.ts:169

### _compileWot

- _compileWot(wotItems: WOTItem []): { filters: { authors: string[] }[] }[]

- #### Parameters

  - wotItems: WOTItem []

  #### Returns { filters: { authors: string[] }[] }[]

  - Defined in feeds/src/compiler.ts:101

### canCompile

- canCompile(feed: Feed ): boolean

- #### Parameters

  - feed: Feed

  #### Returns boolean

  - Defined in feeds/src/compiler.ts:11

### compile

- compile(feed: Feed ): Promise< RequestItem []>

- #### Parameters

  - feed: Feed

  #### Returns Promise< RequestItem []>

  - Defined in feeds/src/compiler.ts:36